/*  DELS.C - Sequential delete command
 *
 *  Written in Small-C (v2.2)
 *
 *  Usage: DELS filename.ext [filename.ext filename.ext...]
 *
 *  NOTE: Minor adjustments may have to be made for other versions of C.
 *
 *  Compile: CC DELS
 *           ASM DELS
 *           LINK DELS,,,CLIB
 *
 *  This is useful for deleting a group of files with varying names which
 *  cannot be taken out with a DEL command using wildcards. For example:
 *
 *  SDEL \DOS\AUTOEXEC.BAK \ASM\PROG.LST D:\PROG.LST \SMALL-C\ASM1.BAK
 *
 *  This is especially useful for cleaning up after a Small-C compile or an
 *  assemble as these processes generate many different files which merely
 *  serve to clutter up the disk in most cases.
 *
 *  Written by Darryl Seamans - placed in the PUBLIC DOMAIN July 7,1991
 */
main(argc,argv) int argc, argv[];
	{
	int count, killed;
	if (argc < 2)
		{
		puts ("Syntax: DELS filename.ext [filename.ext] [filename.ext]...\n");
		exit (255);
		}
	count=1;
	killed=0;
	while (count != argc)
		{
		printf ("Deleting %s:",argv[count]);
		if ((unlink (argv[count])) == -2)
			{
			puts ("\007 Error! Couldn't delete!");
			} 
		else
			{
			puts (" Deleted.");
			killed++;
			}
		count++;
		}
	printf ("Deleted %d of %d files specified.\n",killed,argc-1);
	exit(0);
	}
